javax.swing.plaf

## Class DimensionUIResource

- java.lang.Object
- - java.awt.geom.Dimension2D
  - - java.awt.Dimension
    - - javax.swing.plaf.DimensionUIResource

All Implemented Interfaces:
  Serializable, Cloneable, UIResource

    public class DimensionUIResource
    extends Dimension
    implements UIResource

### Field Summary

### Fields inherited from class java.awt.Dimension

`height, width`

### Constructor Summary

Constructors
Constructor and Description
`DimensionUIResource(int width, int height)`

### Method Summary

### Methods inherited from class java.awt.Dimension

`equals, getHeight, getSize, getWidth, hashCode, setSize, setSize, setSize, toString`

### Methods inherited from class java.awt.geom.Dimension2D

`clone, setSize`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DimensionUIResource

    public DimensionUIResource(int width,
                       int height)

Copyright © 1993, 2017, Oracle and/or its affiliates. All rights reserved.